Subject: Re: Is this 32-bit NCM?

From: Enrico Mioso <[email-masked]>
Date: Tue, 2 Dec 2014 07:07:47 +0100 (CET)

Hi Eli,
Hi Kevin,
Hi everyone.

Hoping Kevin answered your question - as he did so in a way I could not have 
done better.
It seems a matter of the size, even if I am suspecting this could also all 
relate to some strange behaviour from the firmware side.
However - I tried also changing the MTU to smaller values, and "shortcircuit" 
the negotiation of some NCM parameters, with no results.
Yes - confirming the device returns an error in this case.
Interesting also to note that the device claims to be
"before NCM errata".
See specs.

On Mon, 1 Dec 2014, Eli Britstein wrote:

==Date: Mon, 1 Dec 2014 23:02:16
==From: Eli Britstein <[email-masked]>
==To: Enrico Mioso <[email-masked]>
==Cc: Kevin Zhu <[email-masked]>, Bjørn Mork <[email-masked]>,
==    Alex Strizhevsky <[email-masked]>,
==    Midge Shaojun  Tan <[email-masked]>,
==    "[email-masked]" <[email-masked]>,
==    "[email-masked]" <[email-masked]>,
==    "[email-masked]" <[email-masked]>
==Subject: Re: Is this 32-bit NCM?
==
==Hi Enrico and all,
==
==Maybe I missed something but what is the difference by the driver point of view between the dhcp discover and request (that are ok) to others (like arp, that is nok)?
==Maybe we can trace to compare them?
==
==Sent from my iPhone
==
==> On 1 בדצמ 2014, at 23:11, "Enrico Mioso" <[email-masked]> wrote:
==>
==> So ... I have two ideas left for now.
==> We know for sure the problem is in the way we TX frames, not the way we RX them
==> (the way we send, generate them, not the way we receive them).
==> Si I have two ideas, and I ask for help from the Linux-usb mailing list for
==> this first one.
==>
==> 1 - Does a wayexist to "replay" traffic crom a usb capture?
==> We might try to take the usb frames generated by Windows, and send them to the
==> device to see if there is any reaction. It should not be science fiction, I saw
==> them do that in the eciadsl old project.
==> 2 - The huawei ndis driver: does it work with these devices?
==> It should be a little bit out-dated now (at least in terms of dates, it might
==> work as well): the code is A LOT but, just in case, to see if there is any
==> chances it'll work. It remains to be seen in which kernels it can actually
==> compile again.
==>
==> If this works we might analyse what's happening and try to debug this out.
==> But I really would like this to work in the cdc_ncm driver + huawei_cdc_ncm.
==> Thank you.
==
==________________________________
==
==This email and any files transmitted with it are confidential material. They are intended solely for the use of the designated individual or entity to whom they are addressed. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, use, distribution or copying of this communication is strictly prohibited and may be unlawful.
==
==If you have received this email in error please immediately notify the sender and delete or destroy any copy of this message
==